
C-----------------------------------------------------------------------------
      SUBROUTINE NPBOTM
C-----------------------------------------------------------------------------
C    DO-NOTHING BOTTOM PERTURBATION MODEL  
C     COMMON DECK "GG" INSERTED HERE       
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
      DOUBLE PRECISION MODG
      COMMON/GG/MODG(4)                  
      COMMON/GG/G,PGR,PGRR,PGRTH,PGRPH   
      COMMON/GG/PGTH,PGPH,PGTHTH,PGPHPH,PGTHPH,GSELECT,GTIME 
      COMMON/WW/ dum(10), MAXW,W(1000)
      EQUIVALENCE (EARTHR,W(1))
C     DELTA TOPOGRAPHY   325-349
      EQUIVALENCE (W(325),GUMODEL),(W(326),GUFORM),(W(327),GUID)
C     COMMON DECK "B10" INSERTED HERE                           
      INTEGER DGMX,DGNTBL,DGITBL,DGFRMTB,IDSDG(20)              
      COMMON/B10/DGMX,DGNTBL(10),DGITBL(10),DGFRMTB(10),DGGP(10)
      EQUIVALENCE (DGGP,IDSDG)                                  
      INTEGER DJMX    ,DJNTBL(10),DJITBL(10),DJFRMTB(10)        
      DATA DJMX/1/          
      DATA DJNTBL/1,11,8*0/ 
      DATA DJITBL/1,9*0/    
      DATA DJFRMTB/1,9*0/   
C                           
      ENTRY SETPTP          
      DGMX=DJMX             
      CALL IMOVE(DGNTBL,DJNTBL,10)  
      CALL IMOVE(DGITBL,DJITBL,10)  
      CALL IMOVE(DGFRMTB,DJFRMTB,10)
      RETURN                        
C                                   
      ENTRY IPTOPOG                 
      MODG(3)='NPBOTM'              
      MODG(4)=GUID                  
      ENTRY PTOPOG                  
      END                           
